using System;
using System.Threading;
using System.Windows.Forms;

namespace Choinka
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            bool pierwszaInstancja;
            Mutex m = new Mutex(true, "Bardzo wyjątkowy łańcuch identyfikujący mutex", out pierwszaInstancja);
            if (pierwszaInstancja)
            {
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new Form1());
            }
            else
            {
                //jak zrobić BringToTop
                MessageBox.Show("Inna instancja aplikacji jest już uruchomiona", "Choinka", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }
    }
}
